#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję pokemon_speak, która zamienia w podanym napisie co drugą literę
na wielką. Np. pokemon_speak('pokemon') powinno zwrócić 'PoKeMoN'.
"""


def pokemon_speak(text):
    #spacja Asci 32

    lista_temp = ""
    j = 1

    for i in text:
        if ord(i) == 32:
            j=1
            lista_temp += i
        else:
            if j%2 == 0:
                lista_temp += i
            else:
                lista_temp += i.upper()
        j += 1
    return lista_temp



def tests(f):
    inputs = [['pokemon'], ['do not want'], ['POKEMON']]
    outputs = ['PoKeMoN', 'Do nOt wAnT', 'POKEMON']

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(pokemon_speak))
