#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
**ćwiczenie 4**
Zainstaluj bibliotekę ``weather-api`` (https://pypi.python.org/pypi/weather-api). Korzystając z niej:
 * Wypisz informacje o aktualnej pogodzie.
 * Napisz funkcję, która zamieni stopnie ``F`` na ``C``.
 * Korzystając z prognozy, znajdź dzień, w którym będzie najzimniej. Wypisz nazwę tygodnia (w języku polskim) i temperaturę w C.
"""
#task04

from weather import Weather
DD = {'Mon':'Poniedziałek','Tue':'Poniedziałek','Wed':'Środa','Thu':'Czwartek','Fri':'Piątek','Sat':'Sobota','Sun':'Niedziela'}
MM = {'Jan':'Styczeń','Feb':'Luty','Mar':'Marzec','Apr':'Kwiecień','May':'Maj','Jun':'Czerwiec','Jul':'Lipiec','Aug':'Sierpień','Sep':'Wrzesień','Oct':'Październik','Nov':'Listopad','Dec':'Grudzień'}

def ConvertF_TO_C (F):
    conF = round((float(F) - 32) / 1.8,1)
    return conF

weather = Weather()

miasto ='Poznań'
location = weather.lookup_by_location(miasto)

condition = location.condition()
OgolnieP = condition.text()
dataP = condition.date()
TempC = ConvertF_TO_C(condition.temp())

ddayD=dataP.split(',')[0]
dday=dataP.split(' ')[1]
MMonth=dataP.split(' ')[2]
YYYY=dataP.split(' ')[3]

print"Data = ", dday, '-',MM[MMonth], '-', YYYY, "  ", DD[ddayD]
print "Pogoda ogólnie (ang.) = ", OgolnieP
print "Temperatura = ", TempC, " C"

forcst = location.forecast()
tmin = condition.temp()
dmin = condition.date()

for fc in forcst:
    if fc.low() < tmin:
        dmin = fc.date()
        tmin = fc.low()

print("Prognoza:")

dmin = dmin.split(' ')
MMonth=dmin[1]

print "Min temp: ", tmin, " C"
print "W dniu: ",dmin[0] , "-",MM[MMonth] ,'-', dmin[2]

