#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Napisz funkcję sum_from_one_to_n zwracającą sume liczb od 1 do n.
Jeśli podany argument jest mniejszy od 1 powinna być zwracana wartość 0.
"""

def sum_from_one_to_n(n):
    if n < 0:
        return 0
    else:
        x = 0
        for i in range(n+1):
            x = x + i
    return x


def tests(f):
    inputs = [[999], [-100]]
    outputs = [499500, 0]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(sum_from_one_to_n))
